Bug 971151 - [RHSC] Attempting to remove server when all servers are in maintenance does not generate an error message
[RHSC] Attempting to remove server when all servers are in maintenance does n...
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: rhsc (Show other bugs)
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Sahina Bose
Sudhir D
Depends On:
  Show dependency treegraph
Reported: 2013-06-05 15:49 EDT by Matt Mahoney
Modified: 2013-06-28 11:31 EDT (History)
6 users (show)

See Also:
Fixed In Version: bb4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-06-28 11:31:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Remove Server (5.57 MB, application/x-tar)
2013-06-05 15:49 EDT, Matt Mahoney
no flags Details
bb4 (1.84 MB, application/x-tar)
2013-06-20 14:44 EDT, Matt Mahoney
no flags Details

  None (edit)
Description Matt Mahoney 2013-06-05 15:49:53 EDT
Created attachment 757355 [details]
Remove Server

Description of problem:
With two clusters, and two servers in each cluster; when attempting to remove a server from either cluster when all servers are in maintenance mode does not result in an error message as expected. Neither does the server get removed (as expected) - it is as if no action was taken.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Create two clusters, and then add two servers to each cluster.
2. Put all servers into maintenance mode.
3. Attempt to remove a server in either of the clusters.

Actual results:
After clicking OK on he Remove Servers dialog, an error message indicating that the server can not be removed should appear. Instead, there is no error message/dialog as expected. Neither is there an event message.

Expected results:
An error dialog should appear when attempting to remove a server from a cluster when all servers in the cluster are in maintenance.

Additional info:
Comment 2 Sahina Bose 2013-06-14 07:24:45 EDT
If force remove is not set, server cannot be removed if there is no up server found. Message displayed correctly now.
Comment 3 Matt Mahoney 2013-06-20 14:44:36 EDT
Created attachment 763563 [details]
Comment 4 Matt Mahoney 2013-06-20 14:45:02 EDT
Failed to verify.

Configuration was the same as described above.
There are two issues here:

 1) When all servers are in maintenance, attempting to remove one of the servers should result in an error message (because there are no servers in Up state). No error message occurs.

 2) Brining one of the servers in a cluster Up, and then attempting to remove the server that is maintenance does not result in the server being removed. When the Remove Servers dialog renders with message "Are you sure you want to remove the following items?", clicking OK does not remove the server (no apparent action is taken).

Tested against:
 RHSC: bb4
 VDSM: 4.10.2-22.4
 RHS:  RHS-2.1-20130619

Note You need to log in before you can comment on or make changes to this bug.